CVE-2007-3477

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The (a) imagearc and (b) imagefilledarc functions in GD Graphics Library (libgd) before 2.0.35 allow attackers to cause a denial of service (CPU consumption) via a large (1) start or (2) end angle degree value.

References

ftp://ftp.slackware.com/pub/slackware/slackware-11.0/patches/packages/gd-2.0.35-i486-1_slack11.0.tgz

http://bugs.libgd.org/?do=details&task_id=74

http://bugs.libgd.org/?do=details&task_id=92

http://fedoranews.org/updates/FEDORA-2007-205.shtml

http://lists.fedoraproject.org/pipermail/package-announce/2011-January/052848.html

http://lists.fedoraproject.org/pipermail/package-announce/2011-January/052854.html

http://osvdb.org/42062

http://secunia.com/advisories/25860

http://secunia.com/advisories/26272

http://secunia.com/advisories/26390

http://secunia.com/advisories/26415

http://secunia.com/advisories/26467

http://secunia.com/advisories/26663

http://secunia.com/advisories/26766

http://secunia.com/advisories/26856

http://secunia.com/advisories/30168

http://secunia.com/advisories/31168

http://secunia.com/advisories/42813

http://security.gentoo.org/glsa/glsa-200708-05.xml

http://security.gentoo.org/glsa/glsa-200711-34.xml

http://security.gentoo.org/glsa/glsa-200805-13.xml

http://www.debian.org/security/2008/dsa-1613

http://www.libgd.org/ReleaseNote020035

http://www.mandriva.com/security/advisories?name=MDKSA-2007:153

http://www.mandriva.com/security/advisories?name=MDKSA-2007:164

http://www.novell.com/linux/security/advisories/2007_15_sr.html

http://www.redhat.com/archives/fedora-package-announce/2007-September/msg00311.html

http://www.securityfocus.com/archive/1/478796/100/0/threaded

http://www.securityfocus.com/bid/24651

http://www.trustix.org/errata/2007/0024/

http://www.vupen.com/english/advisories/2011/0022

https://bugzilla.redhat.com/show_bug.cgi?id=277421

https://issues.rpath.com/browse/RPL-1643

Details

Source: MITRE

Published: 2007-06-28

Updated: 2018-10-16

Type: CWE-399

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

Tenable Plugins

View all (19 total)

IDNameProductFamilySeverity
109432Slackware 13.0 / 13.1 / 13.37 / 14.0 / 14.1 / 14.2 / current : libwmf (SSA:2018-120-01)NessusSlackware Local Security Checks
high
84782FreeBSD : libwmf -- multiple vulnerabilities (ca139c7f-2a8c-11e5-a4a5-002590263bf5)NessusFreeBSD Local Security Checks
critical
51415Fedora 14 : libwmf-0.2.8.4-27.fc14 (2010-19033)NessusFedora Local Security Checks
high
51414Fedora 13 : libwmf-0.2.8.4-22.fc13 (2010-19022)NessusFedora Local Security Checks
high
42407Ubuntu 6.06 LTS / 8.04 LTS / 8.10 / 9.04 / 9.10 : libgd2 vulnerabilities (USN-854-1)NessusUbuntu Local Security Checks
high
41143SuSE9 Security Update : PHP4 (YOU Patch Number 11666)NessusSuSE Local Security Checks
medium
41138SuSE9 Security Update : gd (YOU Patch Number 11578)NessusSuSE Local Security Checks
medium
33552Debian DSA-1613-1 : libgd2 - multiple vulnerabilitiesNessusDebian Local Security Checks
medium
29440SuSE 10 Security Update : gd (ZYPP Patch Number 3895)NessusSuSE Local Security Checks
medium
29379SuSE 10 Security Update : PHP5 (ZYPP Patch Number 3980)NessusSuSE Local Security Checks
medium
27748Fedora 7 : gd-2.0.35-1.fc7 (2007-2055)NessusFedora Local Security Checks
medium
27231openSUSE 10 Security Update : gd (gd-3896)NessusSuSE Local Security Checks
medium
27152openSUSE 10 Security Update : apache2-mod_php5 (apache2-mod_php5-3979)NessusSuSE Local Security Checks
medium
27151openSUSE 10 Security Update : apache2-mod_php5 (apache2-mod_php5-3978)NessusSuSE Local Security Checks
medium
26081Fedora Core 6 : gd-2.0.35-1.fc6 (2007-692)NessusFedora Local Security Checks
medium
25896Mandrake Linux Security Advisory : tetex (MDKSA-2007:164)NessusMandriva Local Security Checks
medium
25875Mandrake Linux Security Advisory : gd (MDKSA-2007:153)NessusMandriva Local Security Checks
medium
25870GLSA-200708-05 : GD: Multiple vulnerabilitiesNessusGentoo Local Security Checks
medium
25633FreeBSD : gd -- multiple vulnerabilities (6e099997-25d8-11dc-878b-000c29c5647f)NessusFreeBSD Local Security Checks
medium